        function func1(x)
*
*  func1 (for diffusion exponents) Top of H/He transition zone.
*
        implicit double precision(a-h,o-z)
        common/alpha/alph(4),qmix1,qmix2,zone(2,2)
 
        x5 = x**alph(1)
        result = ( 2. - x5 ) / ( 2. + 3. * x5 )
        func1 = result
 
        return
        end

************************************************************************

